curl --location --request GET 'https://api.audienceful.com/v2/reports' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/reports"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/reports", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "YYjbCtcEZJgswoPnYxdvBH",
"draft": {
"id": "dKvQk6HNNtduqrX98gEYyY",
"title": "Save 25% on everything you need for the winter"
},
"completed_at": "2026-07-04T12:00:00Z",
"subject": "Save 25% on everything you need for the winter",
"audiences": ["Engaged users"],
"identity": "[email protected]",
"stats": {
"delivered": 12450,
"opened": 6189,
"unsubscribed": 5,
"complained": 0,
"failed": 16,
"clicked": 980,
"clicked_urls": {
"https://audienceful.com": 980
}
}
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
List Send Reports
Returns a cursor-paginated list of completed email sends (send reports).
GET
/
v2
/
reports
curl --location --request GET 'https://api.audienceful.com/v2/reports' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/reports"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/reports", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "YYjbCtcEZJgswoPnYxdvBH",
"draft": {
"id": "dKvQk6HNNtduqrX98gEYyY",
"title": "Save 25% on everything you need for the winter"
},
"completed_at": "2026-07-04T12:00:00Z",
"subject": "Save 25% on everything you need for the winter",
"audiences": ["Engaged users"],
"identity": "[email protected]",
"stats": {
"delivered": 12450,
"opened": 6189,
"unsubscribed": 5,
"complained": 0,
"failed": 16,
"clicked": 980,
"clicked_urls": {
"https://audienceful.com": 980
}
}
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
Requires the
reports:read scope. Send Reports are completed email sends, most recent first.
Query parameters
Filter send reports by matching against the draft title. Example:
My newsletterThe number of send reports to return per page.
The pagination cursor from a previous response’s
next_cursor. See Pagination.Response
The page of send reports.
Hide properties
Hide properties
The id of the send report.
The datetime (UTC) when the emails finished sending.
The subject line of the send.
The audiences that were sent to. If empty, the entire contact list was used.
The identity (from address) the email was sent from.
Send statistics.
Show properties
Show properties
The number of emails delivered.
The number of unique opens.
The number of contacts who unsubscribed as a result of the send.
The number of spam complaints.
The number of emails that failed to send.
The number of clicks.
A map of each link in the email to its click count.
Whether more send reports exist after this page.
The cursor to pass as
?cursor= to fetch the next page.curl --location --request GET 'https://api.audienceful.com/v2/reports' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <your-api-key>'
import requests
url = "https://api.audienceful.com/v2/reports"
headers = {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.audienceful.com/v2/reports", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-Api-Key": "<your-api-key>",
},
});
const data = await response.json();
console.log(data);
{
"data": [
{
"id": "YYjbCtcEZJgswoPnYxdvBH",
"draft": {
"id": "dKvQk6HNNtduqrX98gEYyY",
"title": "Save 25% on everything you need for the winter"
},
"completed_at": "2026-07-04T12:00:00Z",
"subject": "Save 25% on everything you need for the winter",
"audiences": ["Engaged users"],
"identity": "[email protected]",
"stats": {
"delivered": 12450,
"opened": 6189,
"unsubscribed": 5,
"complained": 0,
"failed": 16,
"clicked": 980,
"clicked_urls": {
"https://audienceful.com": 980
}
}
}
],
"has_more": true,
"next_cursor": "cD0yMDI2LTA3LTA0VDEyOjAwOjAwWg"
}
⌘I

